=== fsck.ocfs2/Makefile ===
--- 
+++ 
@@ -29,10 +29,13 @@
 		pass3.c 	\
 		pass4.c 	\
 		problem.c 	\
+		slot_recovery.c \
 		strings.c 	\
-		util.c
+		util.c		\
+		xattr.c
 
 HFILES = 	include/fsck.h		\
+		include/xattr.h		\
 		include/dirblocks.h	\
 		include/dirparents.h	\
 		include/extent.h	\
@@ -44,6 +47,7 @@
 		include/pass3.h		\
 		include/pass4.h		\
 		include/problem.h	\
+		include/slot_recovery.h	\
 		include/strings.h	\
 		include/util.h
