=== libocfs2/Makefile ===
--- 
+++ 
@@ -36,6 +36,7 @@
 	alloc.c		\
 	bitmap.c	\
 	bitops.c	\
+	blockcheck.c	\
 	cached_inode.c	\
 	chain.c		\
 	chainalloc.c	\
@@ -63,7 +64,6 @@
 	memory.c	\
 	mkjournal.c	\
 	namei.c		\
-	newdir.c	\
 	openfs.c	\
 	slot_map.c	\
 	sysfile.c	\
@@ -73,10 +73,13 @@
 	lockid.c	\
 	backup_super.c	\
 	feature_string.c\
-	image.c
+	image.c		\
+	xattr.c
 
 HFILES =		\
 	bitmap.h	\
+	blockcheck.h	\
+	crc32table.h	\
 	dir_iterate.h	\
 	dir_util.h	\
 	dlm.h		\
