## ocfs2-tools 1.4.4

=== fsck.ocfs2/Makefile ===
--- 
+++ 
@@ -4,6 +4,8 @@
 
 sbindir = $(root_sbindir)
 SBIN_PROGRAMS = fsck.ocfs2
+
+DEFINES += -DVERSION=\"$(VERSION)\"
 
 INCLUDES = -I$(TOPDIR)/include -Iinclude
 LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
@@ -25,6 +27,7 @@
 		journal.c 	\
 		pass0.c 	\
 		pass1.c 	\
+		pass1b.c 	\
 		pass2.c 	\
 		pass3.c 	\
 		pass4.c 	\
@@ -43,6 +46,7 @@
 		include/journal.h	\
 		include/pass0.h		\
 		include/pass1.h		\
+		include/pass1b.h	\
 		include/pass2.h		\
 		include/pass3.h		\
 		include/pass4.h		\
