=== include/ocfs2-kernel/Makefile ===
TOPDIR = ../..

include $(TOPDIR)/Preamble.make

HEADERS_SUBDIR = ocfs2-kernel
HEADERS =			\
	kernel-list.h		\
	ocfs1_fs_compat.h	\
	ocfs2_fs.h		\
	ocfs2_lockid.h		\
	sparse_endian_types.h

DIST_FILES = $(HEADERS)

include $(TOPDIR)/Postamble.make
