=== debian/changelog ===
ocfs2-tools (1.4.4-3) unstable; urgency=low

  * Move ocfs2_controld.(cman|pcmk) to /usr/sbin (Closes: #587284).
  * Install /lib/udev/rules.d/51-ocfs2.rules (Closes: #587285).
  * Make ocfs2-tools-cman and ocfs2-tools-pacemaker depend on libdlm3, as
    libdlm_lt.so.3 is needed for userspace cluster stacks (Closes: #587287).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 28 Jun 2010 19:22:53 +0200

ocfs2-tools (1.4.4-2) unstable; urgency=low

  * Add Build-Depends on libxml2-dev due to #586787.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Sat, 26 Jun 2010 09:19:07 +0200

ocfs2-tools (1.4.4-1) unstable; urgency=low

  * New upstream release (Closes: #586784).
  * Provide pacemaker support in ocfs2-tools-pacemaker (Closes: #586778).
  * Provide cman support in ocfs2-tools-cman.
  * Improve init scripts:
    - ocfs2: add $local_fs to Required-Start and Required-Stop.
    - o2cb, ocfs2: set Default-Start to S
    - o2cb, ocfs2: set Default-Stop to 0 6
    - o2cb: start before mountnfs.sh (Closes: #457803).
    - silence lintian init.d-script-possible-missing-stop warnings.
  * Add Build-Depends on autotools-dev to update config.guess and config.sub.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update Standards-Version to 3.8.4.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 24 Jun 2010 12:21:13 +0200

ocfs2-tools (1.4.3-2) unstable; urgency=low

  [ Jeremy Lainé ]
  * Make ocfs2-tools depend on psmisc. Closes: #574141
  * Fix FTBFS with gcc-4.5. Closes: #565100
  * Update Italian debconf template (Vincenzo Campanella). Closes: #575096

  [ Christian Perrier ]
  * Fix typo in debconf templates. Closes: #554894.
  * Fix pending l10n issues. Debconf translations:
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #556137, #574681
    - Vietnamese (Clytie Siddall).  Closes: #574077
    - Portuguese (Pedro Ribeiro).  Closes: #574866

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed, 24 Mar 2010 07:27:24 +0100

ocfs2-tools (1.4.3-1) unstable; urgency=low

  * New upstream release.
  * Replace libreadline-dev Build-Depends by libreadline5-dev
    (Closes: #553819).
  * Update to Standards-Version 3.8.3.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 05 Nov 2009 07:59:29 +0100

ocfs2-tools (1.4.2-1) unstable; urgency=low

  * New upstream release (Closes: #535471).
  * Drop patch for limits.h, included upstream.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 06 Jul 2009 07:26:30 +0200

ocfs2-tools (1.4.1-2) unstable; urgency=low

  * Add ${misc:Depends} to ocfs2-tools-dev and ocfs2console.
  * Add patch to fix FTBS by including limits.h (Closes: #516265).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 23 Feb 2009 07:54:31 +0100

ocfs2-tools (1.4.1-1) unstable; urgency=medium

  * Take over maintainership, add Frederik Schüler to Uploaders.
  * New upstream release, fixes RC bug (Closes: #430378, #501151).
  * Acknowledge NMU (Closes: #428949).
  * Update default timeouts in templates and translation files.
  * Remove all patches as they have been merged upstream.
  * Do not install debian/mount.ocfs2.8, use upstream manpage.
  * Remove unused ocfs2console.manpages and ocfs2-tools.manpages.
  * Add o2image and its manpage to ocfs2-tools package.
  * Add package ocfs2-tools-dev to include development files.
  * Improve README.Debian with some setup instructions.
  * Create the /etc/ocfs2 directory.
  * Switch to CDBS.
  * Update Standards-Version to 3.8.0.
  * Remove obsolete debian/NEWS and debian/TODO files.
  * Add Homepage, Vcs-Svn and Vcs-Browser fields to debian/control.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Fri, 21 Nov 2008 17:58:51 +0100

ocfs2-tools (1.2.4-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues
  * Debconf translations:
    - Brazilian Portuguese. Closes: #485614
    - Swedish. Closes: #492257

 -- Christian Perrier <bubulle@debian.org>  Thu, 04 Sep 2008 09:15:00 +0200

ocfs2-tools (1.2.4-1.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues and an RC bug.
  * Fix FTBFS by commenting asm/page.h in mount.ocfs2/mount.ocfs2.h
    (debian/patches/200_ftbfs)
  * Debconf translations:
    - Dutch. Closes: #463445
    - German. Closes: #475317
    - Galician. Closes: #484151
    - Portuguese. Closes: #484155
    - Basque. Closes: #484179
    - Finnish. Closes: #484227

 -- Christian Perrier <bubulle@debian.org>  Mon, 02 Jun 2008 07:39:23 +0200
