=== vendor/common/Makefile ===
--- 
+++ 
@@ -21,6 +21,7 @@
 	o2cb.sysconfig				\
 	ocfs2.init				\
 	ocfs2-tools.spec-generic.in		\
+	51-ocfs2.rules				\
 	Vendor.make
 
 include $(TOPDIR)/Postamble.make
