=== debian/changelog ===
ocfs2-tools (1.6.3-4ubuntu1) precise; urgency=low

  * Build using dh_python2

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Dec 2011 13:21:20 +0000

ocfs2-tools (1.6.3-4) unstable; urgency=low

  * Fix FTBS with -Werror=format-security (Closes: #644064).
  * Update Standards-Version to 3.9.2 (no changes).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 17 Oct 2011 08:29:00 +0200

ocfs2-tools (1.6.3-3) unstable; urgency=low

  * Replace Build-Depends on libopenais-dev by openais-dev (Closes: #640581).
  * Add patch to define missing PCMK_SERVICE_ID (from Ubuntu).
  * Fix o2cb and ocfs2 shutdown order (Closes: #638302, #516893).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Tue, 20 Sep 2011 15:55:56 +0200

ocfs2-tools (1.6.3-2) unstable; urgency=low

  * Fix FTBFS with ld --no-add-needed and --as-needed (Closes: #607057).
  * Update Brazilian Portuguese translations (Closes: #619610).
  * Ignore the depreciation warning that importing popen2 raises, causing
    ocfs2console to exit (from Ubuntu).
  * Remove Build-Depends on cluster-glue-dev, see #608275.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Fri, 25 Mar 2011 16:53:58 +0100

ocfs2-tools (1.6.3-1) unstable; urgency=low

  * New upstream release (Closes: #598014).
  * Remove patches applied upstream:
    - gcc45-ftbfs.patch
  * Add a Build-Depends on cluster-glue-dev, see #608275.
  * Remove Build-Depends on libcluster-glue-dev and libxml2-dev, see: #586787.
  * Update Standards-Version to 3.9.1 (no changes).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 03 Jan 2011 06:21:15 +0100
