=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Jeremy Lainé <jeremy.laine@m4x.org>
 Uploaders: Frederik Schüler <fs@debian.org>
-Standards-Version: 3.8.4
-Build-Depends: cdbs, debhelper (>= 7), po-debconf, autotools-dev, python-support (>= 0.4), comerr-dev, uuid-dev, libncurses5-dev, libreadline-dev, libglib2.0-dev (>= 2.2.3), libblkid-dev (>= 1.36), libbz2-dev, libcluster-glue-dev, libcman-dev, libdevmapper-dev, libdlm-dev, libdlmcontrol-dev, libopenais-dev, libxml2-dev, pacemaker-dev, python-dev, python-gtk2
+Standards-Version: 3.9.2
+Build-Depends: cdbs, debhelper (>= 7), po-debconf, autotools-dev, comerr-dev, uuid-dev, libncurses5-dev, libreadline-dev, libglib2.0-dev (>= 2.2.3), libblkid-dev (>= 1.36), libbz2-dev, libcman-dev, libdevmapper-dev, libdlm-dev, libdlmcontrol-dev, libxml2-dev, openais-dev, pacemaker-dev, python-dev (>= 2.6.6-3~), python-gtk2
 Homepage: http://oss.oracle.com/projects/ocfs2-tools/
 Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/ocfs2-tools/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/ocfs2-tools/trunk/
